<?php
/*
 *
 * Plugin Name: GDPR Helper using CSP
 * Plugin URI: https://gitlab.com/vaulteron/gdpr-helper
 * Description: Set and manage your content-security-policy header to help comply with GDPR
 * Version: 1.2.1
 * Author: Xeas GmbH
 * Text Domain: gdpr-helper
 * Domain Path: /languages
 * 
 */

// Some images are from unsplash. Attribution goes to:
// - Photo by <a href="https://unsplash.com/@tamas_tuzeskatai">Tamas Tuzes-Katai</a> on Unsplash

defined('ABSPATH') || die('error');

define('GH__PLUGIN_INCLUDES_PATH', substr(plugin_dir_path(__FILE__), 0, -1));
define('GH__PLUGIN_URL', plugins_url('', __FILE__));

require_once(GH__PLUGIN_INCLUDES_PATH . '/includes/magicStrings.php');

require_once(GH__PLUGIN_INCLUDES_PATH . '/includes/ghMain.php');

gdprhelper__main(__FILE__);
