
/***** clear WP Fastest Cache cache on submit *****/
jQuery(document).ready(function () {
  jQuery('.gh__backend-container form input[type="submit"]').on('click', function () {
    if (WPFC_TOOLBAR) {
      console.log("clearing WP Fastest Cache, issued by GDPR helper");
      WPFC_TOOLBAR.send({ "action": 'wpfc_delete_cache', "path": window.location.pathname });
    }
  });
});

/***** Uploading images *****/
jQuery(document).ready(function () {
  var file_frame;

  const openFileUploadModal = function (button) {
    if (file_frame) {
      file_frame.open();
      return;
    }

    const modal_title = jQuery(this).data('gh-uploader-title');
    const modal_accept_btn_text = jQuery(this).data('gh-uploader-accept-text');
    file_frame = wp.media.frames.file_frame = wp.media({
      title: modal_title,
      button: {
        text: modal_accept_btn_text,
      },
      multiple: false
    });

    file_frame.on('select', function () {
      attachment = file_frame.state().get('selection').first().toJSON();
      var id_prefix = button.attr('id').replace('_btn_upload', '');
      jQuery(`#${id_prefix}`).val(attachment.id);
      jQuery(`#${id_prefix}_img_preview`).attr('src', attachment.sizes.thumbnail.url);
      file_frame = false;
    });

    file_frame.open();
  }

  jQuery('.gh__backend-container .gh__backend__uploader_btn_select_image').click(function () {
    openFileUploadModal(jQuery(this));
  });

  jQuery('.gh__backend-container .gh__backend__uploader_btn_delete').click(function () {
    jQuery('.gh__backend-container .gh__backend__uploader_value').val('');
    jQuery('.gh__backend-container .gh__backend__uploader_preview').attr('src', '');
    return false;
  });

});